<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools">

    <uses-feature android:name="android.hardware.camera.any" />

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.CAMERA" />
    <uses-permission android:name="android.permission.VIBRATE" />
    <uses-permission android:name="android.permission.READ_PHONE_STATE" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="android.permission.MANAGE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.READ_MEDIA_IMAGES" />
    <uses-permission android:name="android.permission.READ_MEDIA_AUDIO" />
    <uses-permission android:name="android.permission.READ_MEDIA_VIDEO" />

    <uses-permission android:name="android.permission.REQUEST_INSTALL_PACKAGES" />
    <uses-permission
        android:name="android.permission.INSTALL_PACKAGES"
        tools:ignore="ProtectedPermissions" />
    <uses-permission android:name="android.permission.CHANGE_WIFI_STATE" />

    <!--通知相关-->
    <uses-permission android:name="android.permission.POST_NOTIFICATIONS" />
    <uses-permission android:name="android.permission.FOREGROUND_SERVICE" />
    <uses-permission android:name="android.permission.FOREGROUND_SERVICE_DATA_SYNC" />

    <queries>
        <package android:name="com.eg.android.AlipayGphone" /> <!-- 支付宝 -->
        <package android:name="hk.alipay.wallet" /> <!-- AlipayHK -->
    </queries>

    <queries>
        <package android:name="com.tencent.mm" />
    </queries>

    <queries>
        <intent>
            <action android:name="com.getui.sdk.action" />
        </intent>
    </queries>

    <queries package="${applicationId}">
        <intent>
            <action android:name="android.media.action.IMAGE_CAPTURE" />
        </intent>
        <intent>
            <action android:name="android.media.action.ACTION_VIDEO_CAPTURE" />
        </intent>
    </queries>

    <application
        android:name=".BaseApplication"
        android:allowBackup="true"
        android:enableOnBackInvokedCallback="true"
        android:hardwareAccelerated="true"
        android:icon="@mipmap/ic_launcher_icon"
        android:label="@string/app_name"
        android:maxAspectRatio="2.4"
        android:requestLegacyExternalStorage="true"
        android:resizeableActivity="true"
        android:roundIcon="@mipmap/ic_launcher_icon"
        android:supportsRtl="true"
        android:theme="@style/Theme.Base"
        android:usesCleartextTraffic="true"
        tools:replace="android:allowBackup,android:supportsRtl">

        <meta-data
            android:name="UMENG_CHANNEL"
            android:value="${UMENG_CHANNEL}" />

        <meta-data
            android:name="UMENG_APPKEY"
            android:value="" />

        <uses-library
            android:name="org.apache.http.legacy"
            android:required="false" />

        <meta-data
            android:name="ScopedStorage"
            android:value="true" />

        <meta-data
            android:name="android.max_aspect"
            android:value="2.4" />
        <!--适配华为（huawei）刘海屏-->
        <meta-data
            android:name="android.notch_support"
            android:value="true" />
        <!--适配小米（xiaomi）刘海屏-->
        <meta-data
            android:name="notch.config"
            android:value="portrait|landscape" />

        <activity
            android:name="com.cheng.blzb.ui.activity.LauncherActivity"
            android:exported="true"
            android:label="@string/app_name"
            android:screenOrientation="portrait"
            android:theme="@style/SplashTheme">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>

        <activity
            android:name="com.cheng.blzb.ui.activity.LoginActivity"
            android:configChanges="keyboardHidden|smallestScreenSize|orientation|screenSize"
            android:exported="true"
            android:label="登录"
            android:launchMode="singleTask"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.cheng.blzb.ui.activity.MainActivity"
            android:configChanges="keyboardHidden|smallestScreenSize|orientation|screenSize"
            android:exported="true"
            android:launchMode="singleTask"
            android:screenOrientation="portrait">
            <intent-filter tools:ignore="AppLinkUrlError">
                <action android:name="android.intent.action.VIEW" />

                <category android:name="android.intent.category.DEFAULT" />
                <category android:name="android.intent.category.BROWSABLE" />
            </intent-filter>

            <intent-filter>
                <action android:name="android.intent.action.SEND" />
                <category android:name="android.intent.category.DEFAULT" />
                <!-- 	指定分享类型-->
                <data android:mimeType="text/plain" />
            </intent-filter>
        </activity>

        <activity
            android:name="com.cheng.blzb.ui.activity.GuideActivity"
            android:configChanges="keyboardHidden|smallestScreenSize|orientation|screenSize"
            android:exported="true"
            android:label="引导页"
            android:launchMode="singleTask"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.cheng.blzb.ui.activity.PublicActivity"
            android:configChanges="keyboardHidden|smallestScreenSize|orientation|screenSize"
            android:label="通用的Activity"
            android:launchMode="standard"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustPan|stateHidden" />

        <activity
            android:name="com.cheng.blzb.ui.activity.DrawerActivity"
            android:configChanges="keyboardHidden|smallestScreenSize|orientation|screenSize"
            android:label="通用的Activity"
            android:launchMode="standard"
            android:screenOrientation="portrait"
            android:theme="@style/TransparentTheme"
            android:windowSoftInputMode="stateHidden" />

        <activity
            android:name="com.cheng.blzb.ui.activity.VideoPlayerActivity"
            android:configChanges="keyboardHidden|smallestScreenSize|orientation|screenSize"
            android:label="视频播放器"
            android:launchMode="standard"
            android:screenOrientation="portrait" />

        <activity
            android:name="com.cheng.BoLe.wxapi.WXEntryActivity"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:exported="true"
            android:screenOrientation="portrait"
            android:theme="@android:style/Theme.Translucent.NoTitleBar" />

        <activity
            android:name="com.cheng.BoLe.wxapi.WXPayEntryActivity"
            android:exported="true"
            android:launchMode="singleTop"
            android:screenOrientation="portrait"
            android:theme="@android:style/Theme.Translucent.NoTitleBar">

            <intent-filter>
                <action android:name="android.intent.action.VIEW" />
                <category android:name="android.intent.category.DEFAULT" />
            </intent-filter>

        </activity>

        <!--推送-->
        <service
            android:name=".service.PushMessageService"
            android:exported="false"
            android:label="PushService"
            android:process=":pushservice" />

        <service android:name=".service.PushIntentService" />

        <provider
            android:name="androidx.core.content.FileProvider"
            android:authorities="${applicationId}.fileprovider"
            android:exported="false"
            android:grantUriPermissions="true">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/filepath_data" />
        </provider>
    </application>

</manifest>